SLASH_NAS1 = '/nas';

local _, L = ...;

local sVersion = " 0.0.01 ";

local function nasGestor( msg, editbox )
   
    local cmd, txt = msg:match("^(%S*)%s*(.-)$");


    cmd = string.upper( cmd );
    
    if cmd == nil then
        Saluda();
    elseif cmd == string.upper( L["morning"] ) then
        NasConfig["morning"] = txt;
    elseif cmd == string.upper( L["afternoon"] ) then
        NasConfig["afternoon"] = txt;
    elseif cmd == string.upper( L["night"] ) then
        NasConfig["night"] = txt;
    elseif cmd == string.upper( L["hmorning"] ) then
        NasConfig["hmorning"] = tonumber( txt );
    elseif cmd == string.upper( L["hafternoon"] ) then
        NasConfig["hafternoon"] = tonumber( txt );
    elseif cmd == string.upper( L["hnight"] ) then
        NasConfig["hnight"] = tonumber( txt );
    elseif cmd == "AUTO" then
    	if string.upper( txt ) == string.upper( L["no"] ) then
    	   NasConfig["auto"] = L["no"]; 
    	else
    	   NasConfig["auto"] = L["yes"];
    	end        
    elseif cmd == "CONFIG" then
        dsp( L["Version"] .. sVersion .. " : " .. L["Configuration"] );
        for k,c in pairs( NasConfig ) do
            dsp( L[k] .. " " .. c );
        end        
    elseif cmd == "?" or cmd == "HELP" then
        dsp( L["Version"] .. sVersion );
        dsp( "/nas ? or /nas help : This information" );
        dsp( "/nas " .. L["morning"] .. " [" .. L["morning greeting"] .. "]" );
        dsp( "/nas " .. L["afternoon"] .. " [" .. L["afternoon greeting"] .. "]" );
        dsp( "/nas " .. L["night"] .. " [" .. L["night greeting"] .. "]" );
        dsp( "/nas " .. L["hnight"] .. " [" .. L["hour"] .. "] : " .. L["From midnight to hnight it's night"] );
        dsp( "/nas " .. L["hmorning"] .. " [" .. L["hour"] .. "] : " .. L["From hnight to hmorning it's morning"] );
        dsp( "/nas " .. L["hafternoon"] .. " [" .. L["hour"] .. "] : " .. L["From hmorning to hafternoon it's afternoon, and then night again"] );
        dsp( "/nas config : " .. L["Shows actual configuration"] );
        dsp( "/nas auto [" .. L["yes"] .. "/" .. L["no"] .. "] : " .. L["Tells nas if it should greet guild automatically on entering wow"] );
    else 
        Saluda();        
    end
    
end

SlashCmdList["NAS"] = nasGestor; 
         
function nasInicio() 

	this:RegisterEvent( "ADDON_LOADED" );
	this:RegisterEvent( "PLAYER_LOGIN" );
	
end

function nasEvento( event, arg1 )

    if event == "ADDON_LOADED" then
            
        if arg1 == "Nas" then
        
            dsp( L["Version"] .. sVersion .. L["loaded"] );
            
            if NasConfig == nil then
                -- Cargamos los valores por omisión de saludo
                NasConfig = { morning = L["Good morning!"], 
                              afternoon = L["Good afternoon!"], 
                              night = L["Good night!"],
                              auto = L["no"],
                              hnight = L["5"],
                              hmorning = L["12"],
                              hafternoon = L["21"] };
            end
                        
        end
        
    elseif event == "PLAYER_LOGIN" then

        if NasConfig["auto"] ~= L["no"] then    
            Saluda();
        end
                
	end
	
end

function dsp(...)

	local text = "|cff33ff99Nas|r:"
	local i;
	
	for i = 1, select("#", ...) do
		text = text .. " " .. tostring( select( i, ... ) )
	end
	print( text )
	
end

function Saluda()

    local hora = GetGameTime();
    
    if hora < L["5"] then
        SendChatMessage( NasConfig["night"] ,"GUILD" );
    elseif hora < L["12"] then
        SendChatMessage( NasConfig["morning"] ,"GUILD" );
    elseif hora < L["21"] then
        SendChatMessage( NasConfig["afternoon"] ,"GUILD" );
    else
        SendChatMessage( NasConfig["night"] ,"GUILD" );                
    end
            
end            
